/*
 * ConductivityTest.h
 *
 * Created on: 8 Oct 2022
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef CONDUCTIVITYTEST_H_
#define CONDUCTIVITYTEST_H_

#define VREF 3.3              // analog reference voltage(Volt) of the ADC
#define SCOUNT  10            // sum of sample points in array


class ConductivityTest {
  public:
    // Measure average voltage, TDS value and temperature
    static void measureTDS();
    static float getAverageVoltage();
    static float getTdsValue();
    static float getTemperature();

  private:
    static int getMedianNum(int bArray[], int iFilterLen);

    // Buffers the read values
    static int valueBuffer[SCOUNT];

    static float averageVoltage;
    static float tdsValue;
    static float temperature;
};

#endif /* CONDUCTIVITYTEST_H_ */
