/*
 * LcdButtonTimer.h
 *
 * Created on: 14 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef LCDBUTTONTIMER_H_
#define LCDBUTTONTIMER_H_

#include "Arduino.h"


class LcdButtonTimer {
  public:
    // Start timer and set it active
    static void start();

    // Set timer inactive
    static void stop();

    // Answer true if elapsed millis since start are equal or more
    // than millisLimit
    static bool haveElapsedEqualMore(unsigned long millisLimit);

    static long getElapsedTime();

    // Anser whether timer is active
    static bool isActive();
    
  private:
    // Millis when timer was started
    static unsigned long startMillis;

    // Flag whether timer is active
    static bool active;
};

#endif /* LCDBUTTONTIMER_H_ */
