/*
 * LcdLogComposer.h
 *
 * Created on: 21 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef LCDLOGCOMPOSER_H_
#define LCDLOGCOMPOSER_H_


#include <Arduino.h>
#include <vector>


class LcdLogComposer {
  public:
    // Add chosen values for the csv logfile.
    static void addValue(String value);

    // Init values.
    static void initValues();

    // Get comma-separated headers as a string
    static String getHeadersString();

    // Get comma-separated values as a string
    static String getValuesString();

  private:
    // Headers
    static String headersString;

    // Values container
    static std::vector<String> values;

    // Get all vector entries in a string
    static String getVectorAsString(std::vector<String> vect);
};

#endif /* LCDLOGCOMPOSER_H_ */
