/*
 * LcdSensorValuesCollector.h
 *
 * Created on: 23 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef LCDSENSORVALUESCOLLECTOR_H_
#define LCDSENSORVALUESCOLLECTOR_H_

#include <Arduino.h>


class LcdSensorValuesCollector {
  public:
    // Collect next sensor value out of 3 sensors in a round robin manner
    static void collect();

    // Answer a string with all 3 sensor values
    static String valuesStringUpper();
    static String valuesStringLower();

  private:
    static String spaces(int n);
    // Read sensor value and store it in the sensor value strings
    static void readSetTemp();
    static void readSetConductivity();
    static void readSetTurbidity();

    // Sensor value state:
    static int state;

    // Sensor value Strings
    static String temp;
    static String conductivity;
    static String turbidity;
};

#endif /* LCDSENSORVALUESCOLLECTOR_H_ */
