/*
 * LogComposer.h
 *
 * Created on: 1 Feb 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef LOGCOMPOSER_H_
#define LOGCOMPOSER_H_

#include <Arduino.h>
#include <vector>


class LogComposer {
  public:
    // Add chosen column header for the csv logfile.
    static void addHeader(String header);

    // Add chosen values for the csv logfile.
    static void addValue(String value);

    // Init headers.
    static void initHeaders();

    // Init values.
    static void initValues();

    // Get comma-separated headers as a string
    static String getHeadersString();

    // Get comma-separated values as a string
    static String getValuesString();

  private:
    // Header container
    static std::vector<String> headers;

    // Values container
    static std::vector<String> values;

    // Get all vector entries in a string
    static String getVectorAsString(std::vector<String> vect);
};

#endif /* LOGCOMPOSER_H_ */
