/*
 * OnePointCalibration.h
 *
 * Created on: 15 Apr 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef ONEPOINTCALIBRATION_H_
#define ONEPOINTCALIBRATION_H_


class OnePointCalibration {
  public:
    // Instantiate an instance with the preferences to calibrate the sensor
    void init(const char* rawId, const char* idealId, const char* calibTempId);

    // Correct read (raw) value from sensor with calibrated (ideal) values
    float calculateValue(float rawValue);

    // Getters
    float getRaw();
    float getIdeal();
    float getCalibTemp();

    // Setters
    void writeRaw(const char* prefId, float value);
    void writeIdeal(const char* prefId, float value);
    void writeCalibTemp(const char* prefId, float value);

  private:
    // Calibration values copied from preferences
    // Cp. calculateValue(float rawValue) implementation
    float raw;
    float ideal;
    // Temperature at calibration
    float calibTemp;

    float voltageFormula(float voltage);
};

#endif /* ONEPOINTCALIBRATION_H_ */
