/*
 * Timeout.h
 *
 * Created on: 6 Apr 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef TIMEOUT_H_
#define TIMEOUT_H_

#include <RTClib.h>


class Timeout {
  public:
    // C'tor: Instantiate timeout object with timeout period in minutes
    Timeout(int minutes, int seconds = 0);
    // Start timeout timer
    void start();
    // Anser if object is enabled
    bool isEnabled();
    // Enable object
    void enable();
    // Disable object
    void disable();
    // Answer if timed out
    bool hasTimedout();
    // Set period
    void setPeriod(int minutes, int seconds = 0);
    // Get timeout
    DateTime getTimeout();

  private:
    // Timeout period
    TimeSpan period;

    // Flag if object is enabled
    bool enabled;

    // Date and time when current timeout is due
    DateTime timeout;
};

#endif /* TIMEOUT_H_ */
