/*
 * PrintBuffer.h
 *
 * Created on: 23 Nov 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#ifndef WBPRINTBUFFER_H_
#define WBPRINTBUFFER_H_

#include <Arduino.h>

#define PB_LEN 3000  // Length of str array


class WbPrintBuffer : public Print {
  private:
    size_t pos = 0;
    char str[PB_LEN];
    bool full = false;
    
  public:
    const char *operator() ();
    void clear();
    size_t length();
    size_t write(uint8_t c);
    size_t write(const uint8_t *buffer, size_t size);
    bool isFull();
};

#endif /* WBPRINTBUFFER_H_ */
