/*
 * WbRTC.h
 *
 * Created on: 7 Feb 2021
 * Author: ruedi.mueller@fhnw.ch
 *
 * Wrapper class
 *
 * https://adafruit.github.io/RTClib/html/class_date_time.html
 */

#ifndef WBRTC_H_
#define WBRTC_H_

#include <Arduino.h>
#include <RTClib.h>


class WbRTC {
  public:
    // Set up system time etc.
    static bool begin();
    
    static void start();

    static void stop();
    
    static unsigned int savedYear();
  
    static unsigned char savedMonth();

    static unsigned char savedDay();

    static unsigned char savedHour(); 

    static unsigned char savedMinute();
        
    static unsigned char savedSecond();

    static unsigned char savedDayOfTheWeek();
  
    static void saveCurrentDateTime();
    
    static void setTime(int hh, int mm, int ss);

    static void setDate(int dd, int mm, int yyyy);

    // Init RTC and system time with date and time when
    // Preprocessor was run during compile time)
    static void setWithPreprocessorDateTime();
    
    static DateTime getSavedCurrentDateTime();

    static String getSavedDateString();

    static String getSavedTimeString();

    static void printSystemTime();
    
  private:
    static char buf[];

    static RTC_PCF8523 rtc;

    static DateTime savedCurrentDateTime;

    static void updateSystemTime();
};

#endif /* WBRTC_H_ */
