import os
Import("env")

class bcolors:
    OKBLUE = '\033[94m'
    OKCYAN = '\033[96m'
    OKGREEN = '\033[92m'
    ENDC = '\033[0m'
    BOLD = '\033[1m'
    UNDERLINE = '\033[4m'

def after_upload(source, target, env):
    print(f"{bcolors.OKGREEN}=======================================================================================================================")
    print(f"{bcolors.OKGREEN}===  DELETE TARGET 'featheresp32' TO FORCE A NEW COMPILATION NEXT TIME WHEN UPLOADING")
    print(f"{bcolors.OKGREEN}===  Reason: The host OS's system time is compiled (via the precompiler) into the")
    print(f"{bcolors.OKGREEN}===          upload target to be used to initialise the Waterbox RTC.")
    print(f"{bcolors.OKGREEN}===          Initialising happens instantly after uploading.")
    print(f"{bcolors.OKGREEN}===")
    print(f"{bcolors.OKGREEN}===  The 'FileNotFoundError: ...' in the following yellow lines can safely be ignored.")
    print(f"{bcolors.OKGREEN}======================================================================================================================={bcolors.ENDC}")

    os.system("platformio run --target clean")

env.AddPostAction("upload", after_upload)

