/*
 * InputStreamReader.cpp
 *
 * Created on: 9 Apr 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "InputStreamReader.h"
#include "Config.h"


char InputStreamReader::terminator = '\n';
char InputStreamReader::c = '\n';
String InputStreamReader::input = "";
bool InputStreamReader::complete = false;


void InputStreamReader::begin(char terminator) {
  InputStreamReader::terminator = terminator;
}


void InputStreamReader::readInput() {
  if (Config::inStream->available() > 0) {
    c = Config::inStream->read();
    if (c == terminator) {
      complete = true;
    }
    else {
      input += c;
    }
  }
}


bool InputStreamReader::isComplete() {
  return complete;
}


String InputStreamReader::getInput() {
  String str = input;
  input = "";
  complete = false;
  return str;
}
