/*
 * LcdLogComposer.cpp
 *
 * Created on: 21 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "LcdLogComposer.h"
#include "Config.h"


String LcdLogComposer::headersString;
std::vector<String> LcdLogComposer::values;


void LcdLogComposer::addValue(String value) {
  values.push_back(value);
}


void LcdLogComposer::initValues() {
  values.clear();
  // date and time added elsewhere
}


String LcdLogComposer::getHeadersString() {
  headersString = Config::DATE_HEADER;
  headersString += F(",");
  headersString += Config::TIME_HEADER;
  headersString += F(",");
  headersString += Config::TEMP_HEADER;
  headersString += F(",");
  headersString += Config::CONDUCTIVITY_HEADER;
  headersString += F(",");
  headersString += Config::TURBIDITY_HEADER;
  return headersString;
}


String LcdLogComposer::getValuesString() {
  return getVectorAsString(values);
}


String LcdLogComposer::getVectorAsString(std::vector<String> vect) {
  String str;
  for (size_t i = 0; i < vect.size(); ++i) {
    str += vect[i] + ",";
  }

  if (str.endsWith(",")) {
    // Strip off last comma
    return str.substring(0, str.length() - 1);
  }

  return str;
}
