/*
 * State.cpp
 *
 * Created on: 8 May 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "LcdState.h"


#ifndef NAMELESS_STATE
LcdState::LcdState(String name) : name(name) { }
#else
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wunused-parameter"
LcdState::LcdState(String name) { }
#pragma GCC diagnostic pop
#endif

#ifndef NAMELESS_STATE
String LcdState::getName() {
  return name;
}
#endif


int* LcdState::getConditions() {
  return conditionsPtr;
}


LcdState* LcdState::getConnectedStates(int i) {
  return connectedStatesPtr[i];
}


void LcdState::performAction(int i) {
  actionsPtr[i]();
}


void LcdState::setArrays(LcdState** connectedStates, int* conditions, void (**actions)(), int len) {
	connectedStatesPtr = connectedStates;
	conditionsPtr = conditions;
	actionsPtr = actions;
  length = len;
}


#ifndef NAMELESS_STATE
void LcdState::printConnectedStates() {
  for (unsigned int i = 0; i < length; ++i) {
    Serial.print(connectedStatesPtr[i]->getName());
    Serial.print(F(", "));
  }
  Serial.println();
}
#endif


unsigned int LcdState::arrSize() {
  return length;
}
