/*
 * LogComposer.cpp
 *
 * Created on: 1 Feb 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "LogComposer.h"
#include "Config.h"

std::vector<String> LogComposer::headers;
std::vector<String> LogComposer::values;


void LogComposer::addHeader(String header) {
  headers.push_back(header);
}


void LogComposer::addValue(String value) {
  values.push_back(value);
}


void LogComposer::initHeaders() {
  headers.clear();
  addHeader(Config::DATE_HEADER);
  addHeader(Config::TIME_HEADER);
}


void LogComposer::initValues() {
  values.clear();
  // date and time added elsewhere
}


String LogComposer::getVectorAsString(std::vector<String> vect) {
  String str;
  for (size_t i = 0; i < vect.size(); ++i) {
    str += vect[i] + ",";
  }

  if (str.endsWith(",")) {
    // Strip off last comma
    return str.substring(0, str.length() - 1);
  }

  return str;
}


String LogComposer::getHeadersString() {
  return getVectorAsString(headers);
}


String LogComposer::getValuesString() {
  return getVectorAsString(values);
}
