/*
 * PrintBuffer.cpp
 *
 * Created on: 23 Nov 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "PrintBuffer.h"


const char *MyPrintBuffer::operator() () {
  str[pos++] = '\0';
  return str;
}
  
void MyPrintBuffer::clear() {
  pos = 0; 
  str[0] = '\0';
}

size_t MyPrintBuffer::length() {
  if (pos == 0)   return 0;
  return pos - 1;
}
    
size_t MyPrintBuffer::write(uint8_t c) { 
  return write(&c, 1);
}
  
size_t MyPrintBuffer::write(const uint8_t *buffer, size_t size) {
  size_t s = min(size, PB_LEN - 1 - pos);   // need a /0 left
  if (s) {
    memcpy(&str[pos], buffer, s);
    pos += s;
  }
  return s;
}
