/*
 * Timeout.cpp
 *
 * Created on: 6 Apr 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "Timeout.h"
#include <Arduino.h>
#include "WbRTC.h"
#include "WbPreferences.h"
#include "Streaming.h"


Timeout::Timeout(int minutes, int seconds) :
  period(0, 0, minutes, seconds), enabled(false)
{ }


void Timeout::setPeriod(int minutes, int seconds) {
  period = TimeSpan(0, 0, minutes, seconds);
}


void Timeout::start() {
  WbRTC::saveCurrentDateTime();
  timeout = WbRTC::getSavedCurrentDateTime() + period;
}


bool Timeout::hasTimedout() {
  WbRTC::saveCurrentDateTime();
  return timeout <= WbRTC::getSavedCurrentDateTime();
}


bool Timeout::isEnabled() {
  return enabled;
}


void Timeout::enable() {
  enabled = true;
}


void Timeout::disable() {
  enabled = false;
}


DateTime Timeout::getTimeout() {
  return timeout;
}
