/*
 * PrintBuffer.cpp
 *
 * Created on: 23 Nov 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "WbPrintBuffer.h"


const char *WbPrintBuffer::operator() () {
  if (str[pos] != '\0') {
    str[pos++] = '\0';
  }
  return str;
}
  
void WbPrintBuffer::clear() {
  pos = 0; 
  str[0] = '\0';
  full = false;
}

size_t WbPrintBuffer::length() {
  if (pos == 0)   return 0;
  return pos - 1;
}
    
size_t WbPrintBuffer::write(uint8_t c) { 
  return write(&c, 1);
}
  
size_t WbPrintBuffer::write(const uint8_t *buffer, size_t size) {
  full = (size > PB_LEN - 1 - pos);

  size_t s = min(size, PB_LEN - 1 - pos);   // need a \0
  if (s) {
    memcpy(&str[pos], buffer, s);
    pos += s;
  }
  return s;
}


bool WbPrintBuffer::isFull() {
  return full;
}
