/*
 * WbD.cpp
 *
 * Created on: 27 Nov 2021
 * Author: ruedi.mueller@fhnw.ch
 */

#include "WbSD.h"
#include <Arduino.h>
#include <SD.h>
#include "Streaming.h"
#include "Config.h"
#include "LcdText.h"


void WbSD::begin() {
  if (!SD.begin(Config::SD_CS_PIN)) {
    Serial << F("SD card initialisation error");
    if (!isPresent()) {
      Serial << F(": not present\n");
    }
    LcdText::error(F("SD card "));
  } 
  else {
    Serial << F("SD card initialised");
  }
  Serial << endl;
}


bool WbSD::isPresent() {
  return SD.cardType() != CARD_NONE;
}
